## org.gnu.gtk
Class RcTokenType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.RcTokenType

public class RcTokenType
extends org.gnu.glib.Enum

Field Summary
`static RcTokenType` `ACTIVE`
`static RcTokenType` `APPLICATION`
`static RcTokenType` `BASE`
`static RcTokenType` `BG`
`static RcTokenType` `BG_PIXMAP`
`static RcTokenType` `BIND`
`static RcTokenType` `BINDING`
`static RcTokenType` `CLASS`
`static RcTokenType` `ENGINE`
`static RcTokenType` `FG`
`static RcTokenType` `FONT`
`static RcTokenType` `FONT_NAME`
`static RcTokenType` `FONTSET`
`static RcTokenType` `GTK`
`static RcTokenType` `HIGHEST`
`static RcTokenType` `IM_MODULE_FILE`
`static RcTokenType` `IM_MODULE_PATH`
`static RcTokenType` `INCLUDE`
`static RcTokenType` `INSENSITIVE`
`static RcTokenType` `INVALID`
`static RcTokenType` `LAST`
`static RcTokenType` `LOWEST`
`static RcTokenType` `LTR`
`static RcTokenType` `MODULE_PATH`
`static RcTokenType` `NORMAL`
`static RcTokenType` `PIXMAP_PATH`
`static RcTokenType` `PRELIGHT`
`static RcTokenType` `RC`
`static RcTokenType` `RTL`
`static RcTokenType` `SELECTED`
`static RcTokenType` `STOCK`
`static RcTokenType` `STYLE`
`static RcTokenType` `TEXT`
`static RcTokenType` `THEME`
`static RcTokenType` `WIDGET`
`static RcTokenType` `WIDGET_CLASS`
`static RcTokenType` `XTHICKNESS`
`static RcTokenType` `YTHICKNESS`

Method Summary
`RcTokenType` `and(RcTokenType other)`
`static RcTokenType` `intern(int value)`
`RcTokenType` `or(RcTokenType other)`
`boolean` `test(RcTokenType other)`
`RcTokenType` `xor(RcTokenType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVALID

    public static final RcTokenType INVALID

### INCLUDE

    public static final RcTokenType INCLUDE

### NORMAL

    public static final RcTokenType NORMAL

### ACTIVE

    public static final RcTokenType ACTIVE

### PRELIGHT

    public static final RcTokenType PRELIGHT

### SELECTED

    public static final RcTokenType SELECTED

### INSENSITIVE

    public static final RcTokenType INSENSITIVE

### FG

    public static final RcTokenType FG

### BG

    public static final RcTokenType BG

### TEXT

    public static final RcTokenType TEXT

### BASE

    public static final RcTokenType BASE

### XTHICKNESS

    public static final RcTokenType XTHICKNESS

### YTHICKNESS

    public static final RcTokenType YTHICKNESS

### FONT

    public static final RcTokenType FONT

### FONTSET

    public static final RcTokenType FONTSET

### FONT_NAME

    public static final RcTokenType FONT_NAME

### BG_PIXMAP

    public static final RcTokenType BG_PIXMAP

### PIXMAP_PATH

    public static final RcTokenType PIXMAP_PATH

### STYLE

    public static final RcTokenType STYLE

### BINDING

    public static final RcTokenType BINDING

### BIND

    public static final RcTokenType BIND

### WIDGET

    public static final RcTokenType WIDGET

### WIDGET_CLASS

    public static final RcTokenType WIDGET_CLASS

### CLASS

    public static final RcTokenType CLASS

### LOWEST

    public static final RcTokenType LOWEST

### GTK

    public static final RcTokenType GTK

### APPLICATION

    public static final RcTokenType APPLICATION

### THEME

    public static final RcTokenType THEME

### RC

    public static final RcTokenType RC

### HIGHEST

    public static final RcTokenType HIGHEST

### ENGINE

    public static final RcTokenType ENGINE

### MODULE_PATH

    public static final RcTokenType MODULE_PATH

### IM_MODULE_PATH

    public static final RcTokenType IM_MODULE_PATH

### IM_MODULE_FILE

    public static final RcTokenType IM_MODULE_FILE

### STOCK

    public static final RcTokenType STOCK

### LTR

    public static final RcTokenType LTR

### RTL

    public static final RcTokenType RTL

### LAST

    public static final RcTokenType LAST

Method Detail

### intern

    public static RcTokenType intern(int value)

### or

    public RcTokenType or(RcTokenType other)

### and

    public RcTokenType and(RcTokenType other)

### xor

    public RcTokenType xor(RcTokenType other)

### test

    public boolean test(RcTokenType other)